Skip to main content
GET
Retrieve a check

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

id
string<uuid>
required
Minimum string length: 1

Query Parameters

includeDependencies
boolean

Include check dependencies in the response

applyGroupSettings
boolean
default:false

Checks that belong to a group are returned with group settings applied.

Response

Successful

name
string
required
Minimum string length: 1
activated
boolean
default:true
muted
boolean
default:false
locations
enum<string>[] | null
Available options:
us-east-1,
us-east-2,
us-west-1,
us-west-2,
ca-central-1,
sa-east-1,
eu-west-1,
eu-central-1,
eu-west-2,
eu-west-3,
eu-north-1,
eu-south-1,
me-south-1,
ap-southeast-1,
ap-northeast-1,
ap-east-1,
ap-southeast-2,
ap-southeast-3,
ap-northeast-2,
ap-northeast-3,
ap-south-1,
af-south-1
tags
string[]
Minimum string length: 1
alertSettings
object | null
useGlobalAlertSettings
boolean
default:true
groupId
number | null
groupOrder
number | null
Required range: x >= 0
alertChannelSubscriptions
object[]
triggerIncident
object | null
runParallel
boolean
default:false
description
string | null
Maximum string length: 500
id
string
created_at
string<date-time>
updated_at
string<date-time> | null
alertChannels
object | null
projectBindings
object

The Checkly CLI projects that manage this resource. owner is null and references empty when the resource is not managed by code.

privateLocations
string[] | null
Minimum string length: 1
checkType
enum<string>
Available options:
HEARTBEAT
heartbeat
object